{"openapi":"3.0.1","info":{"title":"5GMETA Roadside infrastructure API","description":"This is a sample API that should be usefull for deign the 5g-META APIs.","termsOfService":"https://5gmeta-project.eu/terms/","contact":{"email":"info@5gmeta-project.eu"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"0.0.5"},"servers":[{"url":"https://5gmeta-project.eu/api/roadsideinfrastructure/v0.0.5"}],"tags":[{"name":"roadsideinfrastructure","description":"This category reports on all the data that roadside infrastructure can provide, it includes data about some specific elements of the roadside infrastructure, such as information about traffic lights or road signs. In addition, data can comprise details about hazardous events (e.g., road conditions, roadworks, accident) or they can be related to environmental conditions (e.g., weather conditions, pollution, traffic conditions) that can be retrieved thanks to fixed roadside sensors."}],"paths":{"/roadsidinfrastructure":{"post":{"tags":["roadsideinfrastructure"],"summary":"Road side infrastructure add data.","description":"Road side infrastructure add data.","operationId":"addroadsidinfrastructuredata","requestBody":{"description":"roadsidinfrastructure data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoadSideInfrastructureData"}}},"required":true},"responses":{"200":{"description":"OK","content":{}},"405":{"description":"Invalid input","content":{}}}},"get":{"tags":["roadsideinfrastructure"],"summary":"Road side infrastructure add data.","description":"Road side infrastructure add data.","operationId":"getroadsidinfrastructuredata","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoadSideInfrastructureData"}}}},"404":{"description":"Not Found","content":{}}}}}},"components":{"schemas":{"RoadSideInfrastructureData":{"type":"object","properties":{"id":{"type":"integer"},"dataType":{"type":"integer"},"dataArray":{"type":"array","items":{"type":"string"}}},"xml":{"name":"RoadSidInfrastructureData"}}},"securitySchemes":{"petstore_auth":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://api.5gmeta-project.eu/oauth/dialog","scopes":{"write:pets":"modify Vehicular Data","read:pets":"read your Vicular Data"}}}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}}},"externalDocs":{"description":"Find out more about this APIs","url":"https://5gmeta-project.eu/aboutAPIs"}}